:host:focus {
  outline: none;
}

.input-trigger {
  display: inline-flex;
  align-items: center;
  cursor: pointer;
  position: relative;
  box-sizing: border-box;
  width: 100%;
}

.input-value-wrapper {
  width: 100%;
  overflow: hidden;
  text-overflow: ellipsis;
  white-space: nowrap;
}

.input-value {
  white-space: nowrap;
  overflow: hidden;
  text-overflow: ellipsis;
}

.input-value-placeholder {
  color: var(--mat-sys-on-surface);
}

.min-line:empty::before {
  content: ' ';
  white-space: pre;
  width: 1px;
  display: inline-block;
  visibility: hidden;
}

.icon-wrapper {
  display: inline-flex;
}

.icon-wrapper--inactive {
  color: var(--mat-sys-on-surface);
}

.select-panel {
  width: 100%;
  overflow: auto;
}
